Retrieve an app's operations
curl --request GET \
--url https://api.assembly.com/v1/apps/{appId} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.assembly.com/v1/apps/{appId}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.assembly.com/v1/apps/{appId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.assembly.com/v1/apps/{appId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.assembly.com/v1/apps/{appId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.assembly.com/v1/apps/{appId}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.assembly.com/v1/apps/{appId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"appId": "9f1c2d3e-4b5a-6789-0abc-def012345678",
"contractHash": "3b1f0c9e2a7d4b6f8e5c1a0d9b7f6e4c3a2b1d0e9f8c7b6a5d4e3f2a1b0c9d8e",
"name": "Inventory",
"operations": [
{
"description": "Start a timer",
"input": [
{
"description": "<string>",
"fieldName": "<string>",
"fieldType": "<string>",
"isDate": true,
"label": "<string>",
"optional": true
}
],
"method": "GET",
"operationId": "getProject",
"origin": "scan+contract",
"path": "/projects/{projectId}"
}
]
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Apps
Retrieve an app's operations
Returns one app the caller may call with the operations the platform proxy serves for it: method, path and the label from its API description. Retrieve the app’s contract for each operation’s description, inputs and outputs. A workspace member also sees the operations the app’s API registry declares, each with its description and input fields.
GET
/
v1
/
apps
/
{appId}
Retrieve an app's operations
curl --request GET \
--url https://api.assembly.com/v1/apps/{appId} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.assembly.com/v1/apps/{appId}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.assembly.com/v1/apps/{appId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.assembly.com/v1/apps/{appId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.assembly.com/v1/apps/{appId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.assembly.com/v1/apps/{appId}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.assembly.com/v1/apps/{appId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"appId": "9f1c2d3e-4b5a-6789-0abc-def012345678",
"contractHash": "3b1f0c9e2a7d4b6f8e5c1a0d9b7f6e4c3a2b1d0e9f8c7b6a5d4e3f2a1b0c9d8e",
"name": "Inventory",
"operations": [
{
"description": "Start a timer",
"input": [
{
"description": "<string>",
"fieldName": "<string>",
"fieldType": "<string>",
"isDate": true,
"label": "<string>",
"optional": true
}
],
"method": "GET",
"operationId": "getProject",
"origin": "scan+contract",
"path": "/projects/{projectId}"
}
]
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Authorizations
Path Parameters
The app's id